<?php 
/*
 * this is not a freeware, use is subject to license terms
 * ============================================================================
 * 版权所有 mymps研发团队，保留所有权利。
 * 网站地址: http://www.mymps.com.cn；
 * 交流论坛：http://bbs.mymps.com.cn；
 * ----------------------------------------------------------------------------
 * 这不是一个自由软件！您只能在不用于商业目的的前提下对程序代码进行修改和使用。
 * 不允许对程序代码以任何形式任何目的的再发布。
 * ============================================================================
 * 软件作者: 郑州维维信息技术有限公司
`*/
define('IN_SMT', true);
define('IN_MYMPS', true);
define('CURSCRIPT','index');

require_once dirname(__FILE__)."/include/global.php";
require_once dirname(__FILE__)."/data/config.php";

ifsiteopen();
require_once MYMPS_DATA."/config.db.php";
require_once MYMPS_INC."/db.class.php";
require_once MYMPS_SMARTY."/include.php";

if(!pcclient() && $view != 'pc'){
	$mobile_settings = get_mobile_settings();
	if($mobile_settings['autorefresh'] == 1 && $mobile_settings['allowmobile'] == 1){
		write_msg('',$mobile_settings['mobiledomain'] ? $mobile_settings['mobiledomain'] : $mymps_global['SiteUrl'].'/m/index.php');
	}
	$mobile_settings = NULL;
}

if($fromuid && $mymps_global['cfg_if_affiliate'] == 1){
	msetcookie("fromuid",$fromuid,$timestamp+3600*24);//设置24小时后过期的注册推广用户名
	msetcookie("fromip",GetIP(),$timestamp+3600*24);
}

include MYMPS_ASS.'/'.CURSCRIPT.'.php';
$smarty -> display(mymps_tpl($tpl_index['banmian'] ? $tpl_index['banmian'] : 'simple'));

is_object($db) && $db->Close();
$mymps_global = $db = $smarty = $timestamp = $tpl_index = NULL;
?>